import chrome from 'ui/chrome';
import { API_ROUTE } from '../../common/lib/constants';
import { fetch } from '../../common/lib/fetch';
import { notify } from './notify';

const basePath = chrome.getBasePath();
const apiPath = basePath + API_ROUTE;

export const getFields = (index = '_all') => {
  return fetch
    .get(`${apiPath}/es_fields?index=${index}`)
    .then(({ data: mapping }) => Object.keys(mapping).sort())
    .catch(err =>
      notify.error(err, { title: `Couldn't fetch Elasticsearch fields for '${index}'` })
    );
};

export const getIndices = () => {
  return fetch
    .get(`${apiPath}/es_indices`)
    .then(({ data: indices }) => indices)
    .catch(err => notify.error(err, { title: `Couldn't fetch Elasticsearch indices` }));
};
